package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

public class EnterpriseWhiteListDTO implements Serializable{

    private static final long serialVersionUID = 6358427077203219902L;
    /**
     *
     */
    private Integer whiteListId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 1:有效 0:解除白名单
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 账户余额
     */
    private Double accountBalance;

    /**
     * 基础服务过期时间
     */
    private Date auditTime;

    public Integer getWhiteListId() {
        return whiteListId;
    }

    public EnterpriseWhiteListDTO setWhiteListId(Integer whiteListId) {
        this.whiteListId = whiteListId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public EnterpriseWhiteListDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public EnterpriseWhiteListDTO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public EnterpriseWhiteListDTO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public EnterpriseWhiteListDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public EnterpriseWhiteListDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public EnterpriseWhiteListDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Double getAccountBalance() {
        return accountBalance;
    }

    public EnterpriseWhiteListDTO setAccountBalance(Double accountBalance) {
        this.accountBalance = accountBalance;
        return this;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public EnterpriseWhiteListDTO setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
        return this;
    }
}
